# Changelog

*Note: patch versions are not released as npm packages if interfaces haven't changed with respect to the previous version.*

## v1.12.0 - November 7th, 2025

* New CSPR.cloud proxy client. Use the proxy client to interact with CSPR.cloud REST and Streaming APIs, , or set up a Node RPC client with `casper-js-sdk` directly from your frontend application when you don't operate a separate backend. For more info, see the new article [CSPR.cloud API proxies](/cspr.click-v1.12/cspr.click-sdk/reference/cloud-proxies.md) in the reference section.
* Moved all types to the package `@make-software/csprclick-core-types`. Now you don't need to install `@make-software/csprclick-core-client`.
* Added the method `showBuyCsprUi()` to display the Buy CSPR widget. It replaces previous SDK method `showByCsprUi()` which is now deprecated and will be removed in a future version.

{% hint style="info" %}

### Migration guide

Upgrading to `v1.12.0` from a previous version may require some changes in your code.

1. Remove `@make-software/csprclick-core-client` from your dependencies.
2. Change all types imported from `@make-software/csprclick-core-client` to be imported from `@make-software/csprclick-core-types`.
3. Use the interface `ICSPRClickSDK` to keep instances of the SDK instead of the class `CSPRClickSDK`.
4. Change calls to `showByCsprUi()` to `showBuyCsprUi()`. The first method will be removed in a future version.
   {% endhint %}

## v1.11.0 - October 13th, 2025

* Enhanced WalletConnect sign in flows for a better user experience with Casper Wallet Mobile.

## v1.10.0 - September 12th, 2025

* new `<AccountCardMenuItem>` component to display account information in the account dropdown menu (includes account name, public key and liquid/total balances). Replaces `<ViewAccountOnExplorerMenuItem>`.

## v1.9.0 - July 22th, 2025

* new `onStatusUpdate` in the `send()` methods arguments. When used, CSPR.click opens a websockets connection with CSPR.cloud backend to receive processing status updates for the deployed transaction.
* Integration with Google Sign in and Apple Id for CSPR.click web wallet.

## v1.8.0 - Apr 30th, 2025

* new `providerSupports` property in the account object to indicate if the connected wallet supports signing with the `TransactionV1` transaction model.
* CSPR.name enhanced support.

## v1.7.0 - Dec 23rd, 2024

* Support for the new transaction model `TransactionV1`.
* Updated Casper Wallet, Ledger, and Metamask Snap integrations to newest versions (all support now Casper 2.0).
* Deprecation notice for CasperDash wallet.

## v1.6.0 - Oct 16th, 2024

* Enhanced colors customization for the CSPR.click top bar UI elements.

## v1.5.0 - July 18th, 2024

* Torus and Casper Signer deprecation notices. These wallets will be removed in the next minor version.
* Added CSPR.name names to accounts in the UI overlays.

## v1.4.0 - Mar 5th, 2024

* Added Casper Wallet mobile universal links to enhance the user experience on mobile applications.
* New JWT provider for CSPR.click web wallet.
* New identicon component available to developers.

## v1.3.0 - Jan 19th, 2024

{% hint style="info" %}
**Important note if you're upgrading your app to `1.3.0` from a previous version.** `<ClickTopBar>` component has been replaced with new `<ClickUI>` component. The latter permits a more granular configuration for the elements that the developer wants to display in their application. For example, to not include the top navigtaion bar.

Check [this](https://docs.cspr.click/ui-sdk/integrating-the-ui-sdk-into-your-application#add-less-than-clickui-greater-than-component-to-your-app) section for `<ClickUI>` component reference.
{% endhint %}

* New Buy CSPR UI to select between different onramp platforms.
* Integration with Ramp.
* CSPR.click navigation bar is now optional. Applications that have their own controls for signing in and displaying connected accounts, can exclude this component.

## v1.2.1 - Jan 8th, 2024

* fixed a bug that caused people using different Ledger devices to not be able to sign in with the second device without signing out and reloading the web page.
* fixed a bug that might cause transaction signature rejection when the user had different accounts in different tabs for the same application.
* UI fixes

## v1.2.0 - Dec 12th, 2023

* new API csprclick.switchAccount() to trigger the UI that permits to connect to another account.
* Previously used accounts are now shown in most recently used order.
* UI fixes.
* new API csprclick.switchAccount() to trigger the UI that permits to connect to another account.
* Previously used accounts are now shown in most recently used order.
* UI fixes.

## v1.1.4 - Dec 1st, 2023

* CSPR.click now detects if it's running within a mobile wallet in-app browser to skip wallet selection UI in sign-in flow.
* Ledger now works on Android devices.
* UI now shows an animation in account widget during loading.
* CSPR.click now display a warning if Casper app version in the Ledger device is outdated.

## v1.1.0 - Nov 1st, 2023

* Added Buy CSPR menu item to account dropdown menu.
* UI/UX improvements.

## v1.0.0 - Oct 10th, 2023

* Initial release.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.click/cspr.click-v1.12/documentation/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
